%global dlrn_nvr os-refresh-config-10.4.1-2.20220104103103.d0fdb42
%global dlrn 1
%define upstream_version 10.4.1
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           os-refresh-config
Version: 10.4.1
Release: 2.20220104103103.d0fdb42%{?dist}
Summary:        Refresh system configuration

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{name}
Source0: os-refresh-config-10.4.1-2.20220104103103.d0fdb42.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=d0fdb42918c2f48eb9f522245e1e7334cdc3da97

BuildArch:      noarch

BuildRequires:  git

Requires:       dib-utils

BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr

Requires:       python%{pyver}-psutil

%description
Tool to refresh openstack config changes to service.

%prep

%autosetup -n %{name}-%{upstream_version} -S git

%build
%{pyver_build}

%install
%{pyver_install}
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/pre-configure.d
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/configure.d
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/migration.d
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/post-configure.d

# remove tests
rm -fr %{buildroot}%{pyver_sitelib}/os_refresh_config/tests

%files
%doc README.rst
%doc LICENSE
%{_bindir}/os-refresh-config
%{_libexecdir}/%{name}
%{pyver_sitelib}/os_refresh_config*

%changelog
* Tue Jan 04 2022 OSP Prod Chain <dev-null@redhat.com> 10.4.1-2.20220104103103.d0fdb42
- Update patches

* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 10.4.1-2.20210528093925.d0fdb42.2
- Bump release

* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 10.4.1-2.20210528093925.d0fdb42.1
- Bump release

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 10.4.1-2.20210528093925.d0fdb42
- Update patches

* Mon Feb 08 2021 OSP Prod Chain <dev-null@redhat.com> 10.4.1-1
- Update patches

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 10.4.0-1
- Update patches

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 10.4.0-1
- Update patches

* Thu Oct 15 2020 OSP Prod Chain <dev-null@redhat.com> 10.4.0-1
- Update patches
- [train] Switch to content provider jobs/templates

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 10.4.0-1
- Update patches

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 10.4.0-1
- Update patches

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 10.4.0-1
- Update patches

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 10.4.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Sync Sphinx requirement

* Mon Sep 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the constraints url


